nifi-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jeremy Dyer (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (MINIFI-286) GetFile filter fails to compile with GCC version greater than 4.9
Date Wed, 03 May 2017 02:35:04 GMT

     [ https://issues.apache.org/jira/browse/MINIFI-286?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jeremy Dyer updated MINIFI-286:
-------------------------------

Aldrin I'm running the build on a raspberry pi. It requires a strict GNU version of GCC. I
honestly don't use ubuntu enough to know if that's the case but seeing as they are both Debian
based it seems like they would be. There is no doubt in my mind the build will fail if that
code block in the macro is invoked but would be curious why that macro isn't being invoked
for you on ubuntu??

Sent from my iPhone



> GetFile filter fails to compile with GCC version greater than 4.9
> -----------------------------------------------------------------
>
>                 Key: MINIFI-286
>                 URL: https://issues.apache.org/jira/browse/MINIFI-286
>             Project: Apache NiFi MiNiFi
>          Issue Type: Bug
>          Components: C++
>            Reporter: Jeremy Dyer
>            Assignee: Jeremy Dyer
>             Fix For: cpp-0.2.0
>
>
> GetFile.cpp has a macro which if the GCC version is greater than 4.9 a line of code is
introduced where "fileFilter" is used rather than "request.fileFilter" which causes a compilation
error.
> GCC Version = 4.9.2
> /opt/nifi-minifi-cpp/libminifi/src/processors/GetFile.cpp: In member function ‘bool
org::apache::nifi::minifi::processors::GetFile::acceptFile(std::string, std::string, const
org::apache::nifi::minifi::processors::GetFileRequest&)’:
> /opt/nifi-minifi-cpp/libminifi/src/processors/GetFile.cpp:283:21: error: ‘fileFilter’
was not declared in this scope
>        std::regex re(fileFilter);



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message